## golang-github-docker-docker-credential-helpers 0.3.0+git20160601.0.5128fa1

=== Makefile ===
.PHONY: all deps osxkeychain secretservice test validate wincred

TRAVIS_OS_NAME ?= linux

all: test

deps:
	go get github.com/golang/lint/golint

osxkeychain:
	mkdir -p bin
	go build -o bin/docker-credential-osxkeychain osxkeychain/cmd/main_darwin.go

secretservice:
	mkdir -p bin
	go build -o bin/docker-credential-secretservice secretservice/cmd/main_linux.go

wincred:
	mkdir -p bin
	go build -o bin/docker-credential-wincred wincred/cmd/main_windows.go

test:
	# tests all packages except vendor
	go test -v `go list ./... | grep -v /vendor/`

vet: vet_$(TRAVIS_OS_NAME)
	go vet ./credentials

vet_osx:
	go vet ./osxkeychain

vet_linux:
	go vet ./secretservice

validate: vet
	for p in `go list ./... | grep -v /vendor/`; do \
		golint $$p ; \
	done
	gofmt -s -l `ls **/*.go | grep -v vendor`

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.3.0+git20160601.0.5128fa1-1) unstable; urgency=medium

  * Initial release (Closes: #846309)

 -- Tim Potter <tpot@hpe.com>  Wed, 30 Nov 2016 15:11:29 +1100

=== debian/control ===
Source: golang-github-docker-docker-credential-helpers
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               libsecret-1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/docker-credential-helpers
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-docker-credential-helpers.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-docker-credential-helpers.git
XS-Go-Import-Path: github.com/docker/docker-credential-helpers

Package: golang-github-docker-docker-credential-helpers-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: Use native stores to safeguard Docker credentials
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the development files.

Package: golang-docker-credential-helpers
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 libsecret-1-0
Description: Use native stores to safeguard Docker credentials
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the command-line executables.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	GOPATH=$(shell pwd)/obj-$(DEB_HOST_GNU_TYPE) make secretservice

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin

## golang-github-docker-docker-credential-helpers 0.3.0+git20160906.22.f72c04f

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.3.0+git20160906.22.f72c04f-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Mon, 19 Dec 2016 13:16:30 +1100

## golang-github-docker-docker-credential-helpers 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,37 @@
 .PHONY: all deps osxkeychain secretservice test validate wincred
 
 TRAVIS_OS_NAME ?= linux
+VERSION = 0.5.0
 
 all: test
 
 deps:
 	go get github.com/golang/lint/golint
 
+clean:
+	rm -rf bin
+	rm -rf release
+
 osxkeychain:
-	mkdir -p bin
-	go build -o bin/docker-credential-osxkeychain osxkeychain/cmd/main_darwin.go
+	mkdir bin
+	go build -ldflags -s -o bin/docker-credential-osxkeychain osxkeychain/cmd/main_darwin.go
+
+codesign: osxkeychain
+	$(eval SIGNINGHASH = $(shell security find-identity -v -p codesigning | grep "Developer ID Application: Docker Inc" | cut -d ' ' -f 4))
+	xcrun -log codesign -s $(SIGNINGHASH) --force --verbose bin/docker-credential-osxkeychain
+	xcrun codesign --verify --deep --strict --verbose=2 --display bin/docker-credential-osxkeychain
+
+osxrelease: clean test codesign
+	mkdir -p release
+	cd bin && tar cvfz ../release/docker-credential-osxkeychain-v$(VERSION)-amd64.tar.gz docker-credential-osxkeychain
 
 secretservice:
-	mkdir -p bin
+	mkdir bin
 	go build -o bin/docker-credential-secretservice secretservice/cmd/main_linux.go
 
 wincred:
-	mkdir -p bin
-	go build -o bin/docker-credential-wincred wincred/cmd/main_windows.go
+	mkdir bin
+	go build -o bin/docker-credential-wincred.exe wincred/cmd/main_windows.go
 
 test:
 	# tests all packages except vendor

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.5.0-2) unstable; urgency=medium

  * Attempt to fix 32bit builds by reducing the slice conversion
    (closes: #854872).

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 May 2017 00:03:09 +0200

golang-github-docker-docker-credential-helpers (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add watch file.
  * Depend on golang-any instead of golang-go.
  * Exclude vendor/ via Files-Excluded in copyright.
  * Add myself as an Uploader.

 -- Jordi Mallach <jordi@debian.org>  Fri, 24 Mar 2017 10:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>
+Uploaders: Tim Potter <tpot@hpe.com>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go,
+               golang-any,
                libsecret-1-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/docker-credential-helpers
@@ -17,7 +18,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go
+         golang-any
 Description: Use native stores to safeguard Docker credentials
  The docker-credential-helpers package is a suite of programs to use
  the built-in OS native stores to keep Docker credentials safe.

=== debian/watch ===
version=3
https://github.com/docker/docker-credential-helpers/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-docker-docker-credential-helpers 0.6.0

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #862192).
  * Removed obsolete "32bit_fix.patch".
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper to version 11; compat to version 10.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jun 2018 00:41:08 +1000

## golang-github-docker-docker-credential-helpers 0.6.1

=== Makefile ===
.PHONY: all deps osxkeychain secretservice test validate wincred pass deb

TRAVIS_OS_NAME ?= linux
VERSION := $(shell grep 'const Version' credentials/version.go | awk -F'"' '{ print $$2 }')

all: test

deps:
	go get -u github.com/golang/lint/golint

clean:
	rm -rf bin
	rm -rf release

osxkeychain:
	mkdir -p bin
	go build -ldflags -s -o bin/docker-credential-osxkeychain osxkeychain/cmd/main_darwin.go

osxcodesign: osxkeychain
	$(eval SIGNINGHASH = $(shell security find-identity -v -p codesigning | grep "Developer ID Application: Docker Inc" | cut -d ' ' -f 4))
	xcrun -log codesign -s $(SIGNINGHASH) --force --verbose bin/docker-credential-osxkeychain
	xcrun codesign --verify --deep --strict --verbose=2 --display bin/docker-credential-osxkeychain

osxrelease: clean vet_osx lint fmt test osxcodesign
	mkdir -p release
	@echo "\nPackaging version ${VERSION}\n"
	cd bin && tar cvfz ../release/docker-credential-osxkeychain-v$(VERSION)-amd64.tar.gz docker-credential-osxkeychain

secretservice:
	mkdir -p bin
	go build -o bin/docker-credential-secretservice secretservice/cmd/main_linux.go

pass:
	mkdir -p bin
	go build -o bin/docker-credential-pass pass/cmd/main_linux.go

wincred:
	mkdir -p bin
	go build -o bin/docker-credential-wincred.exe wincred/cmd/main_windows.go

winrelease: clean vet_win lint fmt test wincred
	mkdir -p release
	@echo "\nPackaging version ${VERSION}\n"
	cd bin && zip ../release/docker-credential-wincred-v$(VERSION)-amd64.zip docker-credential-wincred.exe

test:
	# tests all packages except vendor
	go test -v `go list ./... | grep -v /vendor/`

vet: vet_$(TRAVIS_OS_NAME)
	go vet ./credentials

vet_win:
	go vet ./wincred

vet_osx:
	go vet ./osxkeychain

vet_linux:
	go vet ./secretservice

lint:
	for p in `go list ./... | grep -v /vendor/`; do \
		golint $$p ; \
	done

fmt:
	gofmt -s -l `ls **/*.go | grep -v vendor`

validate: vet lint fmt


BUILDIMG:=docker-credential-secretservice-$(VERSION)
deb:
	mkdir -p release
	docker build -f deb/Dockerfile \
		--build-arg VERSION=$(VERSION) \
		--build-arg DISTRO=xenial \
		--tag $(BUILDIMG) \
		.
	docker run --rm --net=none $(BUILDIMG) tar cf - /release | tar xf -
	docker rmi $(BUILDIMG)

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.6.1-4) unstable; urgency=high

  * Team upload.

  [ Shengjing Zhu ]
  * Update maintainer address to team+pkg-go@tracker.d.o

  [ Anthony Fok ]
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.4.0 (no change)
  * Set GOCACHE to go-build directory inside builddir
    for the extra build command outside of dh-golang's control
    to avoid build error with buildd running sbuild.

 -- Anthony Fok <foka@debian.org>  Mon, 05 Aug 2019 19:17:18 -0600

golang-github-docker-docker-credential-helpers (0.6.1-3) unstable; urgency=medium

  * Add myself to uploaders.
  * Add upstream patch to fix CVE-2019-1020014 (Closes: #933801).

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 05 Aug 2019 15:04:28 +0700

golang-github-docker-docker-credential-helpers (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix an invalid free (Closes: #922428).

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 28 Feb 2019 08:31:29 +0700

golang-github-docker-docker-credential-helpers (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/compat=11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Jul 2018 15:42:28 +1000

=== debian/control ===
Source: golang-github-docker-docker-credential-helpers
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Jordi Mallach <jordi@debian.org>,
           Arnaud Rebillout <arnaud.rebillout@collabora.com>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               libsecret-1-dev,
Standards-Version: 4.4.0
Homepage: https://github.com/docker/docker-credential-helpers
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-docker-credential-helpers
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-docker-credential-helpers.git
XS-Go-Import-Path: github.com/docker/docker-credential-helpers
Testsuite: autopkgtest-pkg-go

Package: golang-github-docker-docker-credential-helpers-dev
Architecture: all
Depends: golang-any,
         ${misc:Depends},
         ${shlibs:Depends},
Description: native stores to safeguard Docker credentials - library
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the development files.

Package: golang-docker-credential-helpers
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: libsecret-1-0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: native stores to safeguard Docker credentials
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the command-line executables.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_EXTRA := testdata/

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	GOPATH=$(shell pwd)/obj-$(DEB_HOST_GNU_TYPE) \
	GOCACHE=$(shell pwd)/obj-$(DEB_HOST_GNU_TYPE)/go-build \
	       make secretservice

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin

## golang-github-docker-docker-credential-helpers 0.6.3

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.6.3-1ubuntu1) hirsute; urgency=medium

  * Set GO111MODULE to 'off' while building binaries to fix build with
    Go 1.16.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 25 Feb 2021 16:51:33 +1300

golang-github-docker-docker-credential-helpers (0.6.3-1build2) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:11:42 +0000

golang-github-docker-docker-credential-helpers (0.6.3-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:51:02 +0000

golang-github-docker-docker-credential-helpers (0.6.3-1) unstable; urgency=medium

  * Build the pass helper (thx anarcat) (Closes: #929176).
  * Suggests pass.
  * New upstream version 0.6.3.
  * Drop patches applied upstream.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 07 Feb 2020 11:46:40 +0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-docker-docker-credential-helpers
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>,
            Jordi Mallach <jordi@debian.org>,
            Arnaud Rebillout <arnaud.rebillout@collabora.com>,
@@ -33,6 +34,7 @@
 Depends: libsecret-1-0,
          ${misc:Depends},
          ${shlibs:Depends},
+Suggests: pass
 Description: native stores to safeguard Docker credentials
  The docker-credential-helpers package is a suite of programs to use
  the built-in OS native stores to keep Docker credentials safe.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_build
 	GOPATH=$(shell pwd)/obj-$(DEB_HOST_GNU_TYPE) \
 	GOCACHE=$(shell pwd)/obj-$(DEB_HOST_GNU_TYPE)/go-build \
-	       make secretservice
+	GO111MODULE=off \
+	       make pass secretservice
 
 override_dh_auto_clean:
 	dh_auto_clean

## golang-github-docker-docker-credential-helpers 0.6.4%2Bds1

=== debian/changelog ===
golang-github-docker-docker-credential-helpers (0.6.4+ds1-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:59:04 +0000

golang-github-docker-docker-credential-helpers (0.6.4+ds1-1) unstable; urgency=medium

  * New upstream version 0.6.4+ds1
  * Build-Depends += golang-golang-x-sys-dev
  * Adjust d/clean for files renamed upstream

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 13 Sep 2021 18:16:02 +0700

golang-github-docker-docker-credential-helpers (0.6.3-4) unstable; urgency=medium

  * Fix build issue with Go 1.16 where GO111MODULE defaults to on.
    Apply patch from 0.6.3-1ubuntu1 (2021-02-25) to "Set GO111MODULE
    to 'off' while building binaries to fix build with Go 1.16."
    Thanks to Michael Hudson-Doyle for the fix!
  * Add "Depends: gnome-keyring" to the golang-docker-credential-helpers
    program package to prevent docker-credential-secretservice invocation
    failure.  Thanks to Alessandro Ogier for the report! (Closes: #884596)
  * Remove hardcoded Depends on libsecret-1-0 from program package
    as this dependency is automatically handled by ${shlibs:Depends}
  * Remove unnecessary "Depends: golang-any" from library package
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Simplify debian/rules with --builddirectory=_build and execute_after_X
  * debian/rules: Set DH_GOLANG_EXCLUDES to {pass,secretservice}/cmd
    to prevent pass and secretservice from being built as /usr/bin/cmd
  * Change Section from devel to golang
  * Add myself to the list of Uploaders
  * Add "Rules-Requires-Root: no" to debian/control
  * Mark library package with "Multi-Arch: foreign"
  * Update debian/watch to version 4 and what dh-make-golang 0.5.0 would
    generate, so that uscan can detect new version on GitHub again, and
    so that it adds the +ds1 suffix for repacked upstream tarball
    due to "vendor" directory removal

 -- Anthony Fok <foka@debian.org>  Wed, 08 Sep 2021 01:07:56 -0600

golang-github-docker-docker-credential-helpers (0.6.3-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards version to 4.6.0, no changes needed.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Sep 2021 22:36:32 +0200

golang-github-docker-docker-credential-helpers (0.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 11:32:05 +0100

## golang-github-docker-docker-credential-helpers 0.6.4+ds1

=== debian/control ===
Source: golang-github-docker-docker-credential-helpers
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
           Jordi Mallach <jordi@debian.org>,
           Arnaud Rebillout <arnaudr@kali.org>,
           Anthony Fok <foka@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev,
               libsecret-1-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/docker/docker-credential-helpers
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-docker-credential-helpers
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-docker-credential-helpers.git
XS-Go-Import-Path: github.com/docker/docker-credential-helpers
Testsuite: autopkgtest-pkg-go

Package: golang-github-docker-docker-credential-helpers-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: native stores to safeguard Docker credentials - library
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the development files.

Package: golang-docker-credential-helpers
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: gnome-keyring,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: pass
Description: native stores to safeguard Docker credentials
 The docker-credential-helpers package is a suite of programs to use
 the built-in OS native stores to keep Docker credentials safe.
 .
 This package contains the command-line executables.

=== debian/rules ===
#!/usr/bin/make -f

# Prevent pass and secretservice from being built as /usr/bin/cmd
export DH_GOLANG_EXCLUDES := pass/cmd secretservice/cmd
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	GOPATH=$(shell pwd)/_build \
	GOCACHE=$(shell pwd)/_build/go-build \
	GO111MODULE=off \
		$(MAKE) pass secretservice

execute_after_dh_auto_clean:
	rm -rf bin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/docker/docker-credential-helpers/tags \
  .*/v?(\d\S*)\.tar\.gz debian
